REM ====================
REM GMT command
REM ====================
set src=ETOPO1_Ice_g_gmt4.grd
REM Japan Area
set range=120/150/20/50
set size=M0/0/15
set filemain=japan
set filein=%filemain%.int
set fig=%filemain%.eps
set filegrd=%filemain%.grd
set filetif=%filemain%.tiff
set filecpt=mby.cpt
set nkfilecpt=nkglobe.cpt

del %fig%
del %filemain%.tif

REM ==== 陸域的 cpt ====
REM 水面下海洋部分
REM grd2cpt %src% -Cmby.cpt -R%range% -L-10000/0 -G90/190 -Z -V -N >> %nkfilecpt%
REM 水面上陸域部分
REM makecpt -Cnkglobe.cpt -G0/9000 -Z -M --COLOR_BACKGROUND=82/106/233 >> %nkfilecpt%

REM 陸域部分の水平線下の沼、nkglobe.cpt手動修正
REM -189.056583777	78.4/149.29/70.244	-100	83.2/151.31/71.956
REM -100	0/72/0	0	51/102/0

REM 処理範囲データを切り出す
grdcut %src% -R%range% -G%filegrd%
REM 陰影データを作成
grdgradient %filegrd% -A270 -G%filein% -Ne0.9 -fg
REM イメージデータを作成
grdimage %filegrd% -I%filein% -R%range% -J%size% -C%filecpt% -P -K >> %fig%
REM 500M間隔のカンター線 エラー？
REM grdcontour %filegrd% -J%size% -C500 -W0 -L-12000/9000 -O -K >> %fig%
REM 上記画像の陸域切取
pscoast -R -J -Dh -Gc -O -K >> %fig%
REM 水面上部分描画
grdimage %filegrd% -I%filein% -R%range% -J%size% -C%nkfilecpt% -O -K >> %fig%
REM 500M間隔のカンター線　エラー？
REM grdcontour %filegrd% -J%size% -C500 -W0 -L-12000/9000 -O -K >> %fig%
REM 上記画像を使用し、切取画像を埋め込み
pscoast -R -J -Q -O -K >> %fig%
REM 水域 C(湖) 河川I(All)  海岸線W 国境N(国境太実線) 海岸線表現精度D(完全) -S海洋域無し -O(追加）
pscoast -R -J -C60/221/255 -Ia/0.2p,60/221/255 -N1/1p,227/160/20 -W0.2p,74/123/53 -S- -Dh -O -K >> %fig%
REM 国境N(国境破線) -S-海洋域透明 -O(追加）
pscoast -R -J -N1/0.2p,50/50/50,- -S- -Dh -O >> %fig%
REM EPSよりGeoTIF変換 EPS->TIF->TIFF
psconvert.exe %fig% -A -Qt -Qg -Tt -W+g
REM GeoTIF投影変換 TIFF->TIF　他の投影変換が必要
REM gdalwarp.exe -s_srs "+proj=merc +lon_0=0 +k=1 +x_0=0 +y_0=0 +a=6378137.000 +b=6356752.314245 +ellps=WGS84 +datum=WGS84 +units=m +no_defs" %filetif% -t_srs "+proj=merc +lon_0=0 +k=1 +x_0=0 +y_0=0 +a=6378137.000 +b=6378137.000 +units=m +nadgrid" %filemain%1.tif
REM del %filegrd%
REM del %filein%
REM del %fig%
del %filemain%.tif
del %filemain%.tfw
ren %filetif% %filemain%.tif
REM del %filemain%.tiff
REM ren %filemain%1.tif %filemain%.tif
